package org.dxc.evaluator.metrics;

import org.dxc.api.datatypes.DxcData;
import org.dxc.api.datatypes.ProfilingData;

;

/*
 * CPU Time metric.
 */
public class CPUTime implements ScenarioMetricCalculator {
    private double cpuTime = Double.NaN;

    public void addData(DxcData d) {
        if (d instanceof ProfilingData) {
            this.cpuTime = ((ProfilingData) d).getCpuTime();
        }
    }

    public void calculate() {
    }

    public double getScore() {
        return cpuTime;
    }

    public void print() {
        System.out.println("CPU Time: " + this.getScore() + " ms");
    }
}