package org.dxc.evaluator.metrics;

public class Sum implements DAMetricCalculator {
    private double score;
    private int dataPoints;
    private int minPoints;

    public Sum() {
        score = Double.NaN;
        dataPoints = 0;
        minPoints = -1;
    }

    public void addSMCalculator(ScenarioMetricCalculator smc) {
        Double d = smc.getScore();

        if (!d.isNaN()) {
            if (((Double) score).isNaN())
                score = smc.getScore();
            else
                score += smc.getScore();

            dataPoints++;
        }
    }

    public void calculate() {
    }

    public double getScore() {
        if (dataPoints >= minPoints)
            return score;
        else
            return Double.NaN;
    }

    public void setMinDataPoints(int min) {
        minPoints = min;
    }

    public void print() {
        System.out.println("Sum: " + this.getScore());
    }
}
